Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006890TestLinkReports - Test report matrixpublic2015-01-15 09:032015-01-19 18:52
Reporterrichinek 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows Server 2012 R2 StandardOS Version
Product Version 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006890: Test matrix result crashed while export data in excel
DescriptionHello, we are experiencing the same issue like case 6362 (http://mantis.testlink.org/view.php?id=6362 [^]).

When we generate test matrix report and try to export to excel file, we are getting below error at the end:


Fatal error: Uncaught exception 'Exception' with message 'Invalid cell coordinate 5' in C:\xampp\htdocs\testlink\third_party\codeplex\PHPExcel\Cell.php:508 Stack trace: #0 C:\xampp\htdocs\testlink\third_party\codeplex\PHPExcel\Worksheet.php(959): PHPExcel_Cell::coordinateFromString('5') #1 C:\xampp\htdocs\testlink\third_party\codeplex\PHPExcel\Worksheet.php(860): PHPExcel_Worksheet->getCell('5') 0000002 C:\xampp\htdocs\testlink\lib\results\resultsTC.php(669): PHPExcel_Worksheet->setCellValue('5', 'Notes') 0000003 C:\xampp\htdocs\testlink\lib\results\resultsTC.php(268): createSpreadsheet(Object(stdClass), Object(stdClass), Array) 0000004 {main} thrown in C:\xampp\htdocs\testlink\third_party\codeplex\PHPExcel\Cell.php on line 508

But this is working for small amount of data. Seems that this issue is not related to number of columns but to number of rows (if I remove almost all columns the issue still appears).

Can you please help to resolve this issue? I can give you additional log files if needed.

Thanks in Advance.
Richard
Steps To ReproduceTest Project --> Test Plan --> Test Reports --> Test result matrix --> Export in Excel file.
Additional InformationTestlink 1.9.10
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserAll browsers (Chrome, Firefox, IE)
PHP Version5.6.16
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon result-matrix-error.png [^] (455,204 bytes) 2015-01-15 09:03

- Relationships

-  Notes
(0022499)
richinek (reporter)
2015-01-15 09:06

The table matrix has about 600 rows.
(0022500)
richinek (reporter)
2015-01-15 12:53

I've tried to replace the third party component with newer version - PHPExcel 1.7.7, 1.7.8, 1.7.9, 1.8 - but the issue is still there.
(0022503)
fman (administrator)
2015-01-16 15:37

1) please test on latest code from gitorious (branch 1.9), do fresh install
retest and provide feedback.
2)need very detailed steps to reproduce. What you have provided are not enough.
See on forum.testlink.org examples to understand level of detail needed.
(0022509)
richinek (reporter)
2015-01-19 15:08

Thank you for advice. I have upgraded our Testlink to version 1.9.12 and the export is working. So you can close this ticket.

- Issue History
Date Modified Username Field Change
2015-01-15 09:03 richinek New Issue
2015-01-15 09:03 richinek File Added: result-matrix-error.png
2015-01-15 09:06 richinek Note Added: 0022499
2015-01-15 12:53 richinek Note Added: 0022500
2015-01-16 15:37 fman Note Added: 0022503
2015-01-19 15:08 richinek Note Added: 0022509
2015-01-19 18:52 fman QA Team - Task Workflow Status => TBD
2015-01-19 18:52 fman Status new => closed
2015-01-19 18:52 fman Assigned To => fman
2015-01-19 18:52 fman Resolution open => fixed
2015-01-19 18:52 fman Fixed in Version => 1.9.12 (2014 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker